curl --request GET \
--url '{{BASE_URL}}/v3/order/<order_id>/result' \
--header 'accept: application/json' \
--header 'x-vital-api-key: YOUR_API_KEY'
from junction import Junction
from junction.environment import JunctionEnvironment
client = Junction(
api_key="YOUR_API_KEY",
environment=JunctionEnvironment.SANDBOX,
)
data = client.lab_tests.get_result_raw("<order_id>")
import { JunctionClient, JunctionEnvironment } from "@junction-api/sdk";
const client = new JunctionClient({
apiKey: "YOUR_API_KEY",
environment: JunctionEnvironment.Sandbox,
});
const data = await client.labTests.getResultRaw({ orderId: "<order_id>" });
import com.junction.api.Junction;
import com.junction.api.core.Environment;
Junction client = Junction.builder()
.apiKey("YOUR_API_KEY")
.environment(Environment.SANDBOX)
.build();
var data = client.labTests().getResultRaw("<order_id>");
import (
"context"
junction "github.com/junction-api/junction-go"
"github.com/junction-api/junction-go/client"
"github.com/junction-api/junction-go/option"
)
c := client.NewClient(
option.WithApiKey("YOUR_API_KEY"),
option.WithBaseURL(junction.Environments.Sandbox),
)
response, err := c.LabTests.GetResultRaw(context.TODO(), &junction.GetResultRawLabTestsRequest{
OrderId: "<order_id>",
})
if err != nil {
return err
}
fmt.Printf("Received data %s\n", response)
{
"metadata": {
"age": 19,
"dob": "18/08/1993",
"clia_number": "12331231",
"patient": "Bob Smith",
"provider": "Dr. Jack Smith",
"laboratory": "LabCorp",
"date_reported": "2020-01-01",
"date_collected": "2022-02-02",
"specimen_number": "123131",
"date_received": "2022-01-01",
"status": "final",
"interpretation": "abnormal"
},
"results": [
{
"name": "Sex Horm Binding Glob, Serum",
"slug": "sex-horm-binding-glob-serum",
"value": 30.4,
"result": "30.4",
"type": "numeric",
"unit": "nmol/L",
"timestamp": "2024-10-31T09:08:00+00:00",
"notes": "Final",
"min_range_value": 24.6,
"max_range_value": 122,
"is_above_max_range": false,
"is_below_min_range": false,
"interpretation": "normal",
"loinc": "13967-5",
"loinc_slug": "sex-hormone-binding-globulin-moles-vol",
"provider_id": "082016",
"source_markers": [
{
"marker_id": 229,
"name": "Testosterone Free, Profile I",
"slug": "testosterone-free-profile-i",
"provider_id": "140226"
}
]
}
],
"order_transaction": {
"id": "6424dd45-ee1a-49c6-ad0c-5769b8e03fc1",
"status": "completed",
"orders": [
{
"id": "84d96c03-6b1c-4226-ad8f-ef44a6bc08af",
"created_at": "2020-01-01T00:00:00Z",
"updated_at": "2022-02-04T00:00:00Z",
"low_level_status": "completed",
"low_level_status_created_at": "2022-02-04T00:00:00Z",
"origin": "initial"
}
]
}
}
Results
Get Results
Retrieve order result via the Junction API. Requires authentication with your team API key.
GET
/
v3
/
order
/
{order_id}
/
result
curl --request GET \
--url '{{BASE_URL}}/v3/order/<order_id>/result' \
--header 'accept: application/json' \
--header 'x-vital-api-key: YOUR_API_KEY'
from junction import Junction
from junction.environment import JunctionEnvironment
client = Junction(
api_key="YOUR_API_KEY",
environment=JunctionEnvironment.SANDBOX,
)
data = client.lab_tests.get_result_raw("<order_id>")
import { JunctionClient, JunctionEnvironment } from "@junction-api/sdk";
const client = new JunctionClient({
apiKey: "YOUR_API_KEY",
environment: JunctionEnvironment.Sandbox,
});
const data = await client.labTests.getResultRaw({ orderId: "<order_id>" });
import com.junction.api.Junction;
import com.junction.api.core.Environment;
Junction client = Junction.builder()
.apiKey("YOUR_API_KEY")
.environment(Environment.SANDBOX)
.build();
var data = client.labTests().getResultRaw("<order_id>");
import (
"context"
junction "github.com/junction-api/junction-go"
"github.com/junction-api/junction-go/client"
"github.com/junction-api/junction-go/option"
)
c := client.NewClient(
option.WithApiKey("YOUR_API_KEY"),
option.WithBaseURL(junction.Environments.Sandbox),
)
response, err := c.LabTests.GetResultRaw(context.TODO(), &junction.GetResultRawLabTestsRequest{
OrderId: "<order_id>",
})
if err != nil {
return err
}
fmt.Printf("Received data %s\n", response)
{
"metadata": {
"age": 19,
"dob": "18/08/1993",
"clia_number": "12331231",
"patient": "Bob Smith",
"provider": "Dr. Jack Smith",
"laboratory": "LabCorp",
"date_reported": "2020-01-01",
"date_collected": "2022-02-02",
"specimen_number": "123131",
"date_received": "2022-01-01",
"status": "final",
"interpretation": "abnormal"
},
"results": [
{
"name": "Sex Horm Binding Glob, Serum",
"slug": "sex-horm-binding-glob-serum",
"value": 30.4,
"result": "30.4",
"type": "numeric",
"unit": "nmol/L",
"timestamp": "2024-10-31T09:08:00+00:00",
"notes": "Final",
"min_range_value": 24.6,
"max_range_value": 122,
"is_above_max_range": false,
"is_below_min_range": false,
"interpretation": "normal",
"loinc": "13967-5",
"loinc_slug": "sex-hormone-binding-globulin-moles-vol",
"provider_id": "082016",
"source_markers": [
{
"marker_id": 229,
"name": "Testosterone Free, Profile I",
"slug": "testosterone-free-profile-i",
"provider_id": "140226"
}
]
}
],
"order_transaction": {
"id": "6424dd45-ee1a-49c6-ad0c-5769b8e03fc1",
"status": "completed",
"orders": [
{
"id": "84d96c03-6b1c-4226-ad8f-ef44a6bc08af",
"created_at": "2020-01-01T00:00:00Z",
"updated_at": "2022-02-04T00:00:00Z",
"low_level_status": "completed",
"low_level_status_created_at": "2022-02-04T00:00:00Z",
"origin": "initial"
}
]
}
}
curl --request GET \
--url '{{BASE_URL}}/v3/order/<order_id>/result' \
--header 'accept: application/json' \
--header 'x-vital-api-key: YOUR_API_KEY'
from junction import Junction
from junction.environment import JunctionEnvironment
client = Junction(
api_key="YOUR_API_KEY",
environment=JunctionEnvironment.SANDBOX,
)
data = client.lab_tests.get_result_raw("<order_id>")
import { JunctionClient, JunctionEnvironment } from "@junction-api/sdk";
const client = new JunctionClient({
apiKey: "YOUR_API_KEY",
environment: JunctionEnvironment.Sandbox,
});
const data = await client.labTests.getResultRaw({ orderId: "<order_id>" });
import com.junction.api.Junction;
import com.junction.api.core.Environment;
Junction client = Junction.builder()
.apiKey("YOUR_API_KEY")
.environment(Environment.SANDBOX)
.build();
var data = client.labTests().getResultRaw("<order_id>");
import (
"context"
junction "github.com/junction-api/junction-go"
"github.com/junction-api/junction-go/client"
"github.com/junction-api/junction-go/option"
)
c := client.NewClient(
option.WithApiKey("YOUR_API_KEY"),
option.WithBaseURL(junction.Environments.Sandbox),
)
response, err := c.LabTests.GetResultRaw(context.TODO(), &junction.GetResultRawLabTestsRequest{
OrderId: "<order_id>",
})
if err != nil {
return err
}
fmt.Printf("Received data %s\n", response)
{
"metadata": {
"age": 19,
"dob": "18/08/1993",
"clia_number": "12331231",
"patient": "Bob Smith",
"provider": "Dr. Jack Smith",
"laboratory": "LabCorp",
"date_reported": "2020-01-01",
"date_collected": "2022-02-02",
"specimen_number": "123131",
"date_received": "2022-01-01",
"status": "final",
"interpretation": "abnormal"
},
"results": [
{
"name": "Sex Horm Binding Glob, Serum",
"slug": "sex-horm-binding-glob-serum",
"value": 30.4,
"result": "30.4",
"type": "numeric",
"unit": "nmol/L",
"timestamp": "2024-10-31T09:08:00+00:00",
"notes": "Final",
"min_range_value": 24.6,
"max_range_value": 122,
"is_above_max_range": false,
"is_below_min_range": false,
"interpretation": "normal",
"loinc": "13967-5",
"loinc_slug": "sex-hormone-binding-globulin-moles-vol",
"provider_id": "082016",
"source_markers": [
{
"marker_id": 229,
"name": "Testosterone Free, Profile I",
"slug": "testosterone-free-profile-i",
"provider_id": "140226"
}
]
}
],
"order_transaction": {
"id": "6424dd45-ee1a-49c6-ad0c-5769b8e03fc1",
"status": "completed",
"orders": [
{
"id": "84d96c03-6b1c-4226-ad8f-ef44a6bc08af",
"created_at": "2020-01-01T00:00:00Z",
"updated_at": "2022-02-04T00:00:00Z",
"low_level_status": "completed",
"low_level_status_created_at": "2022-02-04T00:00:00Z",
"origin": "initial"
}
]
}
}
Authorizations
Vital Team API Key
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Example:
{
"age": 19,
"clia_number": "12331231",
"date_collected": "2022-02-02",
"date_received": "2022-01-01",
"date_reported": "2020-01-01",
"dob": "18/08/1993",
"interpretation": "normal",
"laboratory": "Quest Diagnostics",
"patient": "Bob Smith",
"provider": "Dr. Jack Smith",
"specimen_number": "123131",
"status": "final"
}
Represent the schema for an individual biomarker result.
- BiomarkerResult · object[]
- Results · object
Show child attributes
Show child attributes
Example:
{
"interpretation": "normal",
"is_above_max_range": false,
"is_below_min_range": false,
"loinc": "742-7",
"loinc_slug": "monocytes-auto-bld-vol",
"max_range_value": 0.9,
"min_range_value": 0.1,
"name": "Monocytes(Absolute)",
"notes": "Final",
"result": "0.4",
"slug": "monocytes-absolute",
"timestamp": "2023-11-01T08:28:00+00:00",
"type": "numeric",
"unit": "x10E3/uL",
"value": 0.4
}
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Order transaction info.
Show child attributes
Show child attributes
Was this page helpful?
⌘I